#!/bin/sh

# ------------------------------------
# Function:
# - build artmap
#
# Version:
# - v1.0.0 - 2021-04-09 initial release
#
# Prerequisites:
# - imagemagick installed
# - background map created
# - foreground map created
# ------------------------------------

# set -o xtrace
set -o verbose

# copy maps
cp ./background/printmaps.png background.png
cp ./foreground/printmaps.png foreground.png

# recolor water
mogrify -format png -fill "#F0B60A" -opaque "#BBCFCF" background.png

# recolor land
mogrify -format png -fill "#063851" -opaque "#FFFFFF" background.png

# combine maps
convert background.png foreground.png -gravity center -compose over -composite result.png
